#![allow(non_snake_case)]

use wasm_bindgen::{prelude::*, JsCast};
use web_sys::HtmlElement;
use yew::prelude::*;

pub fn create_close_button(close: &Closure<dyn FnMut(Event)>) -> HtmlElement {
    let document = web_sys::window().unwrap().document().unwrap();
    let close_button = document
        .create_element("button")
        .unwrap()
        .dyn_into::<HtmlElement>()
        .unwrap();
    close_button.set_text_content(Some("✖"));
    close_button.set_class_name("close_button");
    close_button.set_onclick(Some(close.as_ref().unchecked_ref()));

    close_button
}
